<?php
namespace Mirasvit\LayeredNavigation\Block\Renderer\LabelRenderer;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Renderer\LabelRenderer
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Renderer\LabelRenderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Service\FilterService $filterService, \Mirasvit\LayeredNavigation\Model\ConfigProvider $configProvider, \Mirasvit\LayeredNavigation\Model\Config\HighlightConfigProvider $highlightConfigProvider, \Magento\Swatches\Helper\Media $mediaHelper, \Mirasvit\LayeredNavigation\Model\Config\SeoConfigProvider $seoConfigProvider, \Magento\Framework\View\Element\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($filterService, $configProvider, $highlightConfigProvider, $mediaHelper, $seoConfigProvider, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getAttributeClearUrl($attributeCode)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getAttributeClearUrl');
        return $pluginInfo ? $this->___callPlugins('getAttributeClearUrl', func_get_args(), $pluginInfo) : parent::getAttributeClearUrl($attributeCode);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
